<?php

/**
 * This is the model class for table "tbl_pesquisa".
 *
 * The followings are the available columns in table 'tbl_pesquisa':
 * @property string $id_pesquisa
 * @property string $cod_serial_pesquisa
 * @property string $id_crm_pesquisa
 * @property string $id_resposta1_pesquisa
 * @property string $id_resposta2_pesquisa
 * @property string $id_resposta3_pesquisa
 * @property string $id_resposta4_pesquisa
 * @property string $id_resposta5_pesquisa
 * @property string $id_cliente_pesquisa
 * @property string $porque_resposta2_pesquisa
 *
 * The followings are the available model relations:
 * @property TblRespostaPerguntaPesquisa $idResposta5Pesquisa
 * @property TblClientePesquisa $idClientePesquisa
 * @property TblCrmPesquisa $idCrmPesquisa
 * @property TblRespostaPerguntaPesquisa $idResposta1Pesquisa
 * @property TblRespostaPerguntaPesquisa $idResposta2Pesquisa
 * @property TblRespostaPerguntaPesquisa $idResposta3Pesquisa
 * @property TblRespostaPerguntaPesquisa $idResposta4Pesquisa
 */
class Pesquisa extends CActiveRecord
{
    public $id_resposta5_pesquisa1;
    public $id_resposta5_pesquisa2;
    public $id_resposta5_pesquisa3;
    public $id_resposta5_pesquisa4;
    public $id_resposta5_pesquisa5;
    public $id_resposta5_pesquisa6;
    
    /**
	 * Returns the static model of the specified AR class.
	 * @param string $className active record class name.
	 * @return Pesquisa the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'tbl_pesquisa';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('cod_serial_pesquisa, id_crm_pesquisa, id_resposta1_pesquisa, id_resposta2_pesquisa, id_resposta3_pesquisa, id_resposta4_pesquisa', 'required'),
			array('cod_serial_pesquisa, id_crm_pesquisa, id_resposta1_pesquisa, id_resposta2_pesquisa, id_resposta3_pesquisa, id_resposta4_pesquisa,  id_cliente_pesquisa', 'length', 'max'=>10),
			array('porque_resposta2_pesquisa', 'required'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_pesquisa, cod_serial_pesquisa, id_crm_pesquisa, id_resposta1_pesquisa, id_resposta2_pesquisa, id_resposta3_pesquisa, id_resposta4_pesquisa, id_resposta5_pesquisa, id_cliente_pesquisa, porque_resposta2_pesquisa', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'idResposta5Pesquisa' => array(self::BELONGS_TO, 'TblRespostaPerguntaPesquisa', 'id_resposta5_pesquisa'),
			'idClientePesquisa' => array(self::BELONGS_TO, 'TblClientePesquisa', 'id_cliente_pesquisa'),
			'idCrmPesquisa' => array(self::BELONGS_TO, 'TblCrmPesquisa', 'id_crm_pesquisa'),
			'idResposta1Pesquisa' => array(self::BELONGS_TO, 'TblRespostaPerguntaPesquisa', 'id_resposta1_pesquisa'),
			'idResposta2Pesquisa' => array(self::BELONGS_TO, 'TblRespostaPerguntaPesquisa', 'id_resposta2_pesquisa'),
			'idResposta3Pesquisa' => array(self::BELONGS_TO, 'TblRespostaPerguntaPesquisa', 'id_resposta3_pesquisa'),
			'idResposta4Pesquisa' => array(self::BELONGS_TO, 'TblRespostaPerguntaPesquisa', 'id_resposta4_pesquisa'),
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_pesquisa' => '',
			'cod_serial_pesquisa' => '',
			'id_crm_pesquisa' => '',
			'id_resposta1_pesquisa' => 'Qual seu tipo de pele (rosto)?',
			'id_resposta2_pesquisa' => 'Quão satisfeito(a) você ficou com a Nova Fórmula de Capital Soleil Toque Seco FPS 30?',
			'id_resposta3_pesquisa' => 'Ao seu ver, qual o principal benefício de Capital Soleil Toque Seco FPS 30?',
			'id_resposta4_pesquisa' => 'Você ficou mais satisfeito(a) com a utilização de Capital Soleil Toque Seco FPS 30 do que com o seu protetor solar anterior?',
			'id_resposta5_pesquisa' => 'Dê nota de 1 a 10, sendo 10 a mais alta para:',
			'id_cliente_pesquisa' => 'id',
			'porque_resposta2_pesquisa' => 'Por quê?',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_pesquisa',$this->id_pesquisa,true);
		$criteria->compare('cod_serial_pesquisa',$this->cod_serial_pesquisa,true);
		$criteria->compare('id_crm_pesquisa',$this->id_crm_pesquisa,true);
		$criteria->compare('id_resposta1_pesquisa',$this->id_resposta1_pesquisa,true);
		$criteria->compare('id_resposta2_pesquisa',$this->id_resposta2_pesquisa,true);
		$criteria->compare('id_resposta3_pesquisa',$this->id_resposta3_pesquisa,true);
		$criteria->compare('id_resposta4_pesquisa',$this->id_resposta4_pesquisa,true);
		$criteria->compare('id_resposta5_pesquisa',$this->id_resposta5_pesquisa,true);
		$criteria->compare('id_cliente_pesquisa',$this->id_cliente_pesquisa,true);
		$criteria->compare('porque_resposta2_pesquisa',$this->porque_resposta2_pesquisa,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
}