<?php

/**
 * This is the model class for table "tbl_resposta_pergunta_pesquisa".
 *
 * The followings are the available columns in table 'tbl_resposta_pergunta_pesquisa':
 * @property string $id_rpp
 * @property string $id_pp_rpp
 * @property string $resposta_rpp
 *
 * The followings are the available model relations:
 * @property TblPesquisa[] $tblPesquisas
 * @property TblPesquisa[] $tblPesquisas1
 * @property TblPesquisa[] $tblPesquisas2
 * @property TblPesquisa[] $tblPesquisas3
 * @property TblPesquisa[] $tblPesquisas4
 * @property RespostaPerguntaPesquisa $idPpRpp
 * @property RespostaPerguntaPesquisa[] $tblRespostaPerguntaPesquisas
 */
class RespostaPerguntaPesquisa extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @param string $className active record class name.
	 * @return RespostaPerguntaPesquisa the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'tbl_resposta_pergunta_pesquisa';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_pp_rpp', 'length', 'max'=>10),
			array('resposta_rpp', 'length', 'max'=>200),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_rpp, id_pp_rpp, resposta_rpp', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'tblPesquisas' => array(self::HAS_MANY, 'TblPesquisa', 'id_resposta5_pesquisa'),
			'tblPesquisas1' => array(self::HAS_MANY, 'TblPesquisa', 'id_resposta1_pesquisa'),
			'tblPesquisas2' => array(self::HAS_MANY, 'TblPesquisa', 'id_resposta2_pesquisa'),
			'tblPesquisas3' => array(self::HAS_MANY, 'TblPesquisa', 'id_resposta3_pesquisa'),
			'tblPesquisas4' => array(self::HAS_MANY, 'TblPesquisa', 'id_resposta4_pesquisa'),
			'idPpRpp' => array(self::BELONGS_TO, 'RespostaPerguntaPesquisa', 'id_pp_rpp'),
			'tblRespostaPerguntaPesquisas' => array(self::HAS_MANY, 'RespostaPerguntaPesquisa', 'id_pp_rpp'),
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_rpp' => 'Id Rpp',
			'id_pp_rpp' => 'Id Pp Rpp',
			'resposta_rpp' => 'Resposta Rpp',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_rpp',$this->id_rpp,true);
		$criteria->compare('id_pp_rpp',$this->id_pp_rpp,true);
		$criteria->compare('resposta_rpp',$this->resposta_rpp,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
}